version: '2'

services:
  app:
    labels:
      io.rancher.container.pull_image: always
      io.rancher.container.hostname_override: container_name
    image: michaellopezz/react-apollo-graphql:develop
    build: .
    volumes:
      - ./app:/app
    environment:
      VIRTUAL_HOST: gql.docker
      VIRTUAL_PORT: 3000
      NODE_ENV: development
